## r-bioc-variantannotation 1.44.1

=== DESCRIPTION ===
Package: VariantAnnotation
Type: Package
Title: Annotation of Genetic Variants
Description: Annotate variants, compute amino acid coding changes,
        predict coding outcomes.
Version: 1.44.1
Authors@R: c(person("Bioconductor Package", "Maintainer", role=c("aut", "cre"),
        email="maintainer@bioconductor.org"),
    person("Valerie", "Oberchain", role="aut"),
    person("Martin", "Morgan", role="aut"),
    person("Michael", "Lawrence", role="aut"),
    person("Stephanie", "Gogarten", role="ctb"))
License: Artistic-2.0
Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0),
        MatrixGenerics, GenomeInfoDb (>= 1.15.2), GenomicRanges (>=
        1.41.5), SummarizedExperiment (>= 1.19.5), Rsamtools (>=
        1.99.0)
Imports: utils, DBI, zlibbioc, Biobase, S4Vectors (>= 0.27.12), IRanges
        (>= 2.23.9), XVector (>= 0.29.2), Biostrings (>= 2.57.2),
        AnnotationDbi (>= 1.27.9), rtracklayer (>= 1.39.7), BSgenome
        (>= 1.47.3), GenomicFeatures (>= 1.31.3)
Suggests: RUnit, AnnotationHub, BSgenome.Hsapiens.UCSC.hg19,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh37, SIFT.Hsapiens.dbSNP132,
        SIFT.Hsapiens.dbSNP137, PolyPhen.Hsapiens.dbSNP131, snpStats,
        ggplot2, BiocStyle
LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib (>= 1.99.3)
SystemRequirements: GNU make
LazyLoad: yes
biocViews: DataImport, Sequencing, SNP, Annotation, Genetics,
        VariantAnnotation
Video:
        https://www.youtube.com/watch?v=Ro0lHQ_J--I&list=UUqaMSQd_h-2EDGsU6WDiX0Q
RoxygenNote: 7.1.2
git_url: https://git.bioconductor.org/packages/VariantAnnotation
git_branch: RELEASE_3_16
git_last_commit: 2c52839
git_last_commit_date: 2023-02-14
Date/Publication: 2023-02-15
NeedsCompilation: yes
Packaged: 2023-02-15 23:19:47 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Valerie Oberchain [aut],
  Martin Morgan [aut],
  Michael Lawrence [aut],
  Stephanie Gogarten [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-variantannotation (1.44.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:32:10 +0100

r-bioc-variantannotation (1.44.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.44.0
  * Update versioned B-D

 -- Nilesh Patra <nilesh@debian.org>  Mon, 21 Nov 2022 23:36:24 +0530

=== debian/control ===
Source: r-bioc-variantannotation
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-matrixgenerics,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges (>= 1.41.5),
               r-bioc-summarizedexperiment (>= 1.19.5),
               r-bioc-rsamtools (>= 1.99.0),
               r-cran-dbi,
               r-bioc-zlibbioc,
               r-bioc-biobase,
               r-bioc-s4vectors (>= 0.27.12),
               r-bioc-iranges (>= 2.23.9),
               r-bioc-xvector (>= 0.29.2),
               r-bioc-biostrings (>= 2.57.2),
               r-bioc-annotationdbi,
               r-bioc-rtracklayer,
               r-bioc-bsgenome,
               r-bioc-genomicfeatures,
               r-bioc-rhtslib (>= 1.99.3),
               libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation.git
Homepage: https://bioconductor.org/packages/VariantAnnotation/
Rules-Requires-Root: no

Package: r-bioc-variantannotation
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor annotation of genetic variants
 This BioConductor package provides R functions to annotate variants,
 compute amino acid coding changess and to predict coding outcomes.

## r-bioc-variantannotation 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Annotation of Genetic Variants
 Description: Annotate variants, compute amino acid coding changes,
         predict coding outcomes.
-Version: 1.44.1
+Version: 1.46.0
 Authors@R: c(person("Bioconductor Package", "Maintainer", role=c("aut", "cre"),
         email="maintainer@bioconductor.org"),
     person("Valerie", "Oberchain", role="aut"),
@@ -33,12 +33,12 @@
         https://www.youtube.com/watch?v=Ro0lHQ_J--I&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/VariantAnnotation
-git_branch: RELEASE_3_16
-git_last_commit: 2c52839
-git_last_commit_date: 2023-02-14
-Date/Publication: 2023-02-15
+git_branch: RELEASE_3_17
+git_last_commit: 80d43e0
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2023-02-15 23:19:47 UTC; biocbuild
+Packaged: 2023-04-25 23:12:10 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Valerie Oberchain [aut],
   Martin Morgan [aut],

=== debian/changelog ===
r-bioc-variantannotation (1.46.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:29:19 +0200

## r-bioc-variantannotation 1.48.1

=== DESCRIPTION ===
Package: VariantAnnotation
Type: Package
Title: Annotation of Genetic Variants
Description: Annotate variants, compute amino acid coding changes,
        predict coding outcomes.
Version: 1.48.1
Authors@R: c(
        person("Valerie", "Oberchain", role="aut"),
        person("Martin", "Morgan", role="aut"),
        person("Michael", "Lawrence", role="aut"),
        person("Stephanie", "Gogarten", role="ctb"),
        person("Bioconductor Package Maintainer", role="cre",
                email="maintainer@bioconductor.org"))
License: Artistic-2.0
Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0),
        MatrixGenerics, GenomeInfoDb (>= 1.15.2), GenomicRanges (>=
        1.41.5), SummarizedExperiment (>= 1.19.5), Rsamtools (>=
        1.99.0)
Imports: utils, DBI, zlibbioc, Biobase, S4Vectors (>= 0.27.12), IRanges
        (>= 2.23.9), XVector (>= 0.29.2), Biostrings (>= 2.57.2),
        AnnotationDbi (>= 1.27.9), rtracklayer (>= 1.39.7), BSgenome
        (>= 1.47.3), GenomicFeatures (>= 1.31.3)
Suggests: RUnit, AnnotationHub, BSgenome.Hsapiens.UCSC.hg19,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh37, SIFT.Hsapiens.dbSNP132,
        SIFT.Hsapiens.dbSNP137, PolyPhen.Hsapiens.dbSNP131, snpStats,
        ggplot2, BiocStyle, knitr
LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib (>= 1.99.3)
SystemRequirements: GNU make
LazyLoad: yes
biocViews: DataImport, Sequencing, SNP, Annotation, Genetics,
        VariantAnnotation
Video:
        https://www.youtube.com/watch?v=Ro0lHQ_J--I&list=UUqaMSQd_h-2EDGsU6WDiX0Q
RoxygenNote: 7.1.2
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/VariantAnnotation
git_branch: RELEASE_3_18
git_last_commit: ef918f8
git_last_commit_date: 2023-11-15
Date/Publication: 2023-11-15
NeedsCompilation: yes
Packaged: 2023-11-16 00:00:00 UTC; biocbuild
Author: Valerie Oberchain [aut],
  Martin Morgan [aut],
  Michael Lawrence [aut],
  Stephanie Gogarten [ctb],
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-variantannotation (1.48.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:32:22 +1100

r-bioc-variantannotation (1.48.1-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:57:54 +0000

r-bioc-variantannotation (1.48.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-variantannotation
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -10,16 +11,16 @@
                r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-matrixgenerics,
                r-bioc-genomeinfodb,
-               r-bioc-genomicranges (>= 1.41.5),
-               r-bioc-summarizedexperiment (>= 1.19.5),
-               r-bioc-rsamtools (>= 1.99.0),
+               r-bioc-genomicranges,
+               r-bioc-summarizedexperiment,
+               r-bioc-rsamtools,
                r-cran-dbi,
                r-bioc-zlibbioc,
                r-bioc-biobase,
-               r-bioc-s4vectors (>= 0.27.12),
-               r-bioc-iranges (>= 2.23.9),
-               r-bioc-xvector (>= 0.29.2),
-               r-bioc-biostrings (>= 2.57.2),
+               r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-bioc-xvector,
+               r-bioc-biostrings,
                r-bioc-annotationdbi,
                r-bioc-rtracklayer,
                r-bioc-bsgenome,

## r-bioc-variantannotation 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Annotation of Genetic Variants
 Description: Annotate variants, compute amino acid coding changes,
         predict coding outcomes.
-Version: 1.48.1
+Version: 1.50.0
 Authors@R: c(
         person("Valerie", "Oberchain", role="aut"),
         person("Martin", "Morgan", role="aut"),
@@ -15,7 +15,7 @@
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0),
         MatrixGenerics, GenomeInfoDb (>= 1.15.2), GenomicRanges (>=
         1.41.5), SummarizedExperiment (>= 1.19.5), Rsamtools (>=
-        1.99.0)
+        2.19.1)
 Imports: utils, DBI, zlibbioc, Biobase, S4Vectors (>= 0.27.12), IRanges
         (>= 2.23.9), XVector (>= 0.29.2), Biostrings (>= 2.57.2),
         AnnotationDbi (>= 1.27.9), rtracklayer (>= 1.39.7), BSgenome
@@ -24,23 +24,24 @@
         TxDb.Hsapiens.UCSC.hg19.knownGene,
         SNPlocs.Hsapiens.dbSNP144.GRCh37, SIFT.Hsapiens.dbSNP132,
         SIFT.Hsapiens.dbSNP137, PolyPhen.Hsapiens.dbSNP131, snpStats,
-        ggplot2, BiocStyle, knitr
-LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib (>= 1.99.3)
+        ggplot2, BiocStyle, knitr, magick, jsonlite, httr, rjsoncons
+LinkingTo: S4Vectors, IRanges, XVector, Biostrings, Rhtslib (>= 2.99.0)
 SystemRequirements: GNU make
 LazyLoad: yes
 biocViews: DataImport, Sequencing, SNP, Annotation, Genetics,
         VariantAnnotation
 Video:
         https://www.youtube.com/watch?v=Ro0lHQ_J--I&list=UUqaMSQd_h-2EDGsU6WDiX0Q
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/VariantAnnotation
-git_branch: RELEASE_3_18
-git_last_commit: ef918f8
-git_last_commit_date: 2023-11-15
-Date/Publication: 2023-11-15
+git_branch: RELEASE_3_19
+git_last_commit: 7805cec
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-11-16 00:00:00 UTC; biocbuild
+Packaged: 2024-05-01 06:33:17 UTC; biocbuild
 Author: Valerie Oberchain [aut],
   Martin Morgan [aut],
   Michael Lawrence [aut],

=== debian/changelog ===
r-bioc-variantannotation (1.50.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:30:58 +0200

r-bioc-variantannotation (1.50.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:05:16 +0200

r-bioc-variantannotation (1.50.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1071352
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 23:34:52 +0200

=== debian/control ===
Source: r-bioc-variantannotation
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-rsamtools (>= 2.20.0),
               r-cran-dbi,
               r-bioc-zlibbioc (>= 1.50.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-xvector (>= 0.44.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-bsgenome (>= 1.72.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-bioc-rhtslib (>= 3.0.0),
               libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation.git
Homepage: https://bioconductor.org/packages/VariantAnnotation/
Rules-Requires-Root: no

Package: r-bioc-variantannotation
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-zlibbioc (>= 1.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-bsgenome (>= 1.72.0),
         r-bioc-genomicfeatures (>= 1.56.0),
         r-bioc-rhtslib (>= 3.0.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-annotationhub (>= 3.12.0),
          r-bioc-snpstats (>= 1.54.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor annotation of genetic variants
 This BioConductor package provides R functions to annotate variants,
 compute amino acid coding changess and to predict coding outcomes.

## r-bioc-variantannotation 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Annotation of Genetic Variants
 Description: Annotate variants, compute amino acid coding changes,
         predict coding outcomes.
-Version: 1.50.0
+Version: 1.52.0
 Authors@R: c(
         person("Valerie", "Oberchain", role="aut"),
         person("Martin", "Morgan", role="aut"),
@@ -35,13 +35,13 @@
 RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/VariantAnnotation
-git_branch: RELEASE_3_19
-git_last_commit: 7805cec
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 054eb39
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 06:33:17 UTC; biocbuild
+Packaged: 2024-10-30 03:23:06 UTC; biocbuild
 Author: Valerie Oberchain [aut],
   Martin Morgan [aut],
   Michael Lawrence [aut],

=== debian/changelog ===
r-bioc-variantannotation (1.52.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:31:46 +0100

r-bioc-variantannotation (1.52.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 16:46:46 +0100

=== debian/control ===
Source: r-bioc-variantannotation
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-matrixgenerics,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-rsamtools (>= 2.19.1),
               r-cran-dbi,
               r-bioc-zlibbioc,
               r-bioc-biobase,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-xvector,
               r-bioc-biostrings,
               r-bioc-annotationdbi,
               r-bioc-rtracklayer,
               r-bioc-bsgenome,
               r-bioc-genomicfeatures,
               r-bioc-rhtslib (>= 2.99.0),
               architecture-is-64-bit,
               libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-variantannotation.git
Homepage: https://bioconductor.org/packages/VariantAnnotation/
Rules-Requires-Root: no

Package: r-bioc-variantannotation
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor annotation of genetic variants
 This BioConductor package provides R functions to annotate variants,
 compute amino acid coding changess and to predict coding outcomes.
